## org.mortbay.servlet
Class Dump

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.mortbay.servlet.Dump

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class Dump
extends HttpServlet

Dump Servlet Request.

See Also:
  Serialized Form

Constructor Summary
`Dump()`

Method Summary
`void` `destroy()` Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
`void` `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` `doPost(HttpServletRequest request, HttpServletResponse response)`
`java.lang.String` `getServletInfo()` Returns information about the servlet, such as author, version, and copyright.
`void` `init(ServletConfig config)` Called by the servlet container to indicate to a servlet that the servlet is being placed into service.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dump

    public Dump()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from class: `GenericServlet`
  Called by the servlet container to indicate to a servlet that the servlet is being placed into service. See `Servlet.init(javax.servlet.ServletConfig)`.

  This implementation stores the `ServletConfig` object it receives from the servlet container for later use. When overriding this form of the method, call `super.init(config)`.

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Parameters:
    `config` - the `ServletConfig` object that contains configutation information for this servlet
  Throws:
    `ServletException` - if an exception occurs that interrupts the servlet's normal operation
  See Also:
    `UnavailableException`

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: `GenericServlet`
  Returns information about the servlet, such as author, version, and copyright. By default, this method returns an empty string. Override this method to have it return a meaningful value. See `Servlet.getServletInfo()`.

  Specified by:
    `getServletInfo` in interface `Servlet`
  Overrides:
    `getServletInfo` in class `GenericServlet`
  Returns:
    String information about this servlet, by default an empty string

### destroy

    public void destroy()

  Description copied from class: `GenericServlet`
  Called by the servlet container to indicate to a servlet that the servlet is being taken out of service. See `Servlet.destroy()`.

  Specified by:
    `destroy` in interface `Servlet`
  Overrides:
    `destroy` in class `GenericServlet`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.